import React, { type MouseEvent } from 'react';
import { type Range } from '@zoom-studio/js-ts-utils';
import { type EmojiNS } from '..';
import { type BaseComponent, type CommonSize } from '../../types';
export declare namespace ReactionRateNS {
    type EmojiName = EmojiNS.Emojis.Names;
    type SelectedRange = Range<1, 6>;
    interface Props extends BaseComponent {
        type?: 'quintuple' | 'couple';
        selectedReaction?: SelectedRange;
        loading?: boolean;
        disabled?: boolean;
        size?: CommonSize;
        onSelect?: (rate: SelectedRange, evt?: MouseEvent<HTMLButtonElement>) => void;
        emojis?: [EmojiName, EmojiName] | [EmojiName, EmojiName, EmojiName, EmojiName, EmojiName];
    }
}
export declare const ReactionRate: React.ForwardRefExoticComponent<ReactionRateNS.Props & React.RefAttributes<HTMLDivElement>>;
